﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Nakov.TurtleGraphics;

namespace project_22_11_2 {
    public partial class Form1 : Form {
        public Form1() {
            InitializeComponent();
        }

        private void Form1_Shown(object sender, EventArgs e) {
            int multiplier;

            //Move the turtle to pole position
            Turtle.X = -200;

            for (multiplier = 1; multiplier <= 3; multiplier++) {
                //Draw a blue rectangle
                Turtle.PenColor = Color.Blue;
                Turtle.Forward(50 * multiplier);
                Turtle.Rotate(90);
                Turtle.Forward(100 * multiplier);
                Turtle.Rotate(90);
                Turtle.Forward(50 * multiplier);
                Turtle.Rotate(90);
                Turtle.Forward(100 * multiplier);

                //Move the turtle to the top left corner of the rectangle
                Turtle.Rotate(90);
                Turtle.PenUp();
                Turtle.Forward(50 * multiplier);
                Turtle.PenDown();

                //Draw the red roof
                Turtle.Angle = 45;
                Turtle.PenColor = Color.Red;
                Turtle.Forward(71 * multiplier);
                Turtle.Rotate(90);
                Turtle.Forward(71 * multiplier);

                //Move the turtle to the position
                //where the next house will be drawn
                Turtle.Y = 0;     //Move it to the bottom right corner of the rectangle
                Turtle.X += 50;   //	Move it some pixels to the right
                Turtle.Angle = 0; //Turn it so as to face upward
            }
        }
    }
}
