﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace project_28_5d {
    class Program {
        class FahrenheitToCelsius {
            private double temperature;    //This defines a private field

            //Define the constructor
            public FahrenheitToCelsius(double value) {
                Temperature = value;  //Property is initialized
            }

            //Define a public property
            public double Temperature {
                //Define the getter
                get {
                    return 5.0 / 9.0 * (temperature - 32.0);
                }

                //Define the setter
                set {
                    if (value >= -459.67) {
                        temperature = value;
                    }
                    else {
                        throw new Exception("There is no temperature below -459.67");
                    }
                }
            }
        }

        //Main code starts here
        static void Main() {
            FahrenheitToCelsius x = new FahrenheitToCelsius(-50); //This calls the constructor 
                                                                  //which, in turn, calls the
                                                                  //setter.
            Console.WriteLine(x.Temperature);   //This calls the getter.

            x.Temperature = -60;                //This calls the setter
            Console.WriteLine(x.Temperature);   //This calls the getter

            x.Temperature = -700;               //This calls the setter and throws an error
            Console.WriteLine(x.Temperature);   //This is never executed. The flow of execution
                                                //is stopped due to the previous statement.
            Console.ReadKey();
        }
    }
}
