﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace project_28_5_1 {
    class Program {
        class Romans {
            private int number;

            //Define public property Number
            public int Number {
                //Define the getter
                get {
                    return number;
                }
                //Define the setter
                set {
                    if (value >= 1 && value <= 5) {
                        number = value;
                    }
                    else {
                        throw new Exception("Number not recognized");
                    }
                }
            }

            //Define public property Roman
            public string Roman {
                //Define the getter
                get {
                    Dictionary<int, string> number2roman = new Dictionary<int, string> {
                { 1, "I" }, { 2, "II" }, { 3, "III" }, { 4, "IV"}, { 5, "V"}
            };
                    return number2roman[number];
                }
                //Define the setter
                set {
                    Dictionary<string, int> roman2number = new Dictionary<string, int> {
                { "I", 1 }, { "II", 2 }, { "III", 3 }, { "IV", 4}, { "V", 5}
            };
                    number = roman2number[value];
                }
            }
        }

        //Main code starts here
        static void Main() {
            Romans x = new Romans();

            x.Number = 3;
            Console.WriteLine(x.Number);  //It displays: 3
            Console.WriteLine(x.Roman);   //It displays: III

            x.Roman = "V";
            Console.WriteLine(x.Number);  //It displays: 5
            Console.WriteLine(x.Roman);   //It displays: V
            Console.ReadKey();
        }
    }
}
