﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace project_28_5c {
    class Program {
        class FahrenheitToCelsius {
            private double temperature;    //private field temperature.

            //Define the constructor
            public FahrenheitToCelsius(double value) {
                this.set_temperature(value);  //Field is initialized
            }

            public double get_temperature() {
                return 5.0 / 9.0 * (this.temperature - 32.0);
            }

            public void set_temperature(double value) {
                if (value >= -459.67) {
                    this.temperature = value;
                }
                else {
                    throw new Exception("There is no temperature below -459.67");
                }
            }
        }

        static void Main() {
            FahrenheitToCelsius x = new FahrenheitToCelsius(-50);
            Console.WriteLine(x.get_temperature());

            x.set_temperature(-50);  //This is okay!
            Console.WriteLine(x.get_temperature());

            x.temperature = -50;               //This is NOT permitted!
            Console.WriteLine(x.temperature);  //This is NOT permitted as well!
            Console.ReadKey();
        }
    }
}
