﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace project_28_7a {
    class Program {
        class SchoolMember {
            public string name;
            public int age;

            //Define the constructor
            public SchoolMember(string name, int age) {
                this.name = name;
                this.age = age;
                Console.WriteLine("A school member was initialized");
            }
        }

        class Teacher : SchoolMember {
            public double salary;  //This is a specific field for class Teacher

            //Define the constructor
            public Teacher(string name, int age, double salary) : base(name, age) {
                this.salary = salary;
                Console.WriteLine("A teacher was initialized");
            }
        }

        class Student : SchoolMember {
            public int[] grades = new int[3];  //This is a specific field for class Student

            //Define the constructor
            public Student(string name, int age, int[] grades) : base(name, age) {
                this.grades = grades;
                Console.WriteLine("A student was initialized");
            }
        }

        //Main code starts here
        static void Main() {
            Teacher teacher1 = new Teacher("Mr. John Scott", 43, 35000);
            Teacher teacher2 = new Teacher("Mrs. Ann Carter", 5, 32000);

            Student student1 = new Student("Peter Nelson", 14, new int[] { 90, 95, 92 });
            Student student2 = new Student("Helen Morgan", 13, new int[] { 92, 97, 94 });

            Console.WriteLine(teacher1.name);
            Console.WriteLine(teacher1.age);
            Console.WriteLine(teacher1.salary);

            Console.WriteLine(student2.name);
            Console.WriteLine(student2.age);
            foreach (var grade in student2.grades) {
                Console.WriteLine(grade);
            }
            Console.ReadKey();
        }
    }
}
